Skip to main content

Interstate Commission for Adult Offender Supervision | Ensuring Public Safety for the 21st Century

ICOTS Notice: Upgrade to TLS 1.1 or higher

ICOTS Security Update 8/22/18 - Web Browsers Need TLS 1.1+ Support

Please see the notice from Appriss regarding security standards for accessing ICOTS that go into production on Wednesday, August 22, 2018. This may affect some of your web browsers with TLS 1.0 or lower. Included in the notice are links to manually update your web browser to the newest version (Google Chrome, Internet Explorer, Firefox, and Safari).

Most current web browsers have support for the TLS 1.1 protocol enabled by default, so it shouldn’t automatically shut down access for users unless they’re using Internet Explorer 10 or earlier or an older version of Firefox or Google Chrome that came out before 2014. Chrome and Firefox typically offer automatic updates and should be up to date unless your IT department disabled that feature. Internet Explorer 11 or later should be fine as TLS 1.1 is enabled by default.

If you have questions about what steps to take, please reach out to the ICOTS Administrator in your state, or your local IT department.